This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 17949 - RedHat Linux 7.0 is ABI incompatible with any other distribution - and will be surely incompatible with 7.1
RedHat Linux 7.0 is ABI incompatible with any other distribution - and will b...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
All Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-30 08:19 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-30 08:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-30 08:19:25 EDT
RedHat Linux 7.0 uses unofficial, unstable versions of gcc and libc which
will surely get
ABI changes for the next stable releases, gcc 3.0 and libc 2.2.
The shipped versions are already incompatible with gcc 2.95.2 and libc
2.1.xx which were
shipped with previous versions of RedHat Linux.

This is a very bad move of RedHat - it makes RedHat Linux 7.0 incompatible
with any
other distribution around in the past and in the future. It seems this are
maketing decisions
we were expecting from microsoft only in the past.

Bad. Bad. Bad.
Comment 1 Alan Cox 2000-10-01 18:28:26 EDT
As regards 7.1 compatibility we are committed to compatibility forward through a
major release number. If we have to jump through extra hoops to do so , so be
it.

Note You need to log in before you can comment on or make changes to this bug.